using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DevExpress.Xpf.Editors;
using DevExpress.Xpf.Scheduler;

namespace BeWo
{
    class CustomDXEditorLocalizer : EditorLocalizer
    {
        protected override void PopulateStringTable()
        {
            base.PopulateStringTable();

            AddString(EditorStringId.Clear, "Löschen");
        }
    }

    //class CustomSchedulerResXLocalizer : SchedulerControlResXLocalizer
    //{
    //    public override string GetLocalizedString(SchedulerControlStringId id)
    //    {
    //        return id.ToString();
    //    }

    //    protected override void PopulateStringTable()
    //    {
    //        base.PopulateStringTable();

            
    //    }
    //}

    class CustomSchedulerLocalizer : SchedulerControlLocalizer
    {
        //public override string GetLocalizedString(SchedulerControlStringId id)
        //{
        //    return id.ToString();
        //}

        protected override void PopulateStringTable()
        {
            
            //base.PopulateStringTable();

            AddString(SchedulerControlStringId.ButtonCaption_Cancel, "Abbrechen");
            AddString(SchedulerControlStringId.ButtonCaption_Delete, "Löschen");
            AddString(SchedulerControlStringId.ButtonCaption_Dismiss, "Verwerfen");
            AddString(SchedulerControlStringId.ButtonCaption_DismissAll, "Alle verwerfen");
            AddString(SchedulerControlStringId.ButtonCaption_OK, "OK");
            AddString(SchedulerControlStringId.ButtonCaption_OpenItem, "Öffne Eintrag");
            AddString(SchedulerControlStringId.ButtonCaption_Snooze, "Schlummern");
            AddString(SchedulerControlStringId.Caption_DeleteRecurrentApt, "Lösche Serienelement");
            AddString(SchedulerControlStringId.Caption_GotoDate, "Gehe zu Datum");
            AddString(SchedulerControlStringId.Caption_OpenRecurrentApt, "Öffne Serienelement");
            AddString(SchedulerControlStringId.Caption_TimeRuler, "Zeitachse");
            AddString(SchedulerControlStringId.Form_AdjustForDaylightSavingTime, "An Sommerzeit anpassen");
            AddString(SchedulerControlStringId.Form_AllDayEvent, "Ganztägiges Ereignis");
            AddString(SchedulerControlStringId.Form_ClickSnoozeToBeReminderAgainIn, "Klicke Schlummern um erneut erinnert zu werden");
            AddString(SchedulerControlStringId.Form_CurrentTime, "Aktuelle Zeit");
            AddString(SchedulerControlStringId.Form_Date, "Datum");
            AddString(SchedulerControlStringId.Form_Day, "Am");
            AddString(SchedulerControlStringId.Form_DayNumber, "Tag");
            AddString(SchedulerControlStringId.Form_DayOfWeek, "Wochentag");
            AddString(SchedulerControlStringId.Form_DayOrDays, "Tag(e)");
            AddString(SchedulerControlStringId.Form_DeleteRecurrentAppointmentFormMessage, "Lösche Serienelement");
            AddString(SchedulerControlStringId.Form_Description, "Beschreibung");
            AddString(SchedulerControlStringId.Form_EditRecurrentAppointmentFormMessage, "Bearbeite Serienelement");
            AddString(SchedulerControlStringId.Form_EndAfter, "Endet nach");
            AddString(SchedulerControlStringId.Form_EndBy, "Endet am");
            AddString(SchedulerControlStringId.Form_EndTime, "Endzeit");
            AddString(SchedulerControlStringId.Form_Every, "Alle");
            AddString(SchedulerControlStringId.Form_EveryWeekday, "Jeden Arbeitstag");
            AddString(SchedulerControlStringId.Form_Label, "Kategorie");
            AddString(SchedulerControlStringId.Form_Location, "Standort");
            AddString(SchedulerControlStringId.Form_MonthOrMonths, ". Monat(s)");
            AddString(SchedulerControlStringId.Form_NoEndDate, "Kein Enddatum");
            AddString(SchedulerControlStringId.Form_Occurrences, "Terminen");
            AddString(SchedulerControlStringId.Form_of, "im");
            AddString(SchedulerControlStringId.Form_OfEvery, "jedes");
            AddString(SchedulerControlStringId.Form_On, "Am");
            AddString(SchedulerControlStringId.Form_OnThe, "Jeden");
            AddString(SchedulerControlStringId.Form_RangeOfRecurrence, "Zeitraum Wiederholung");
            AddString(SchedulerControlStringId.Form_RecurEvery, "Jede/Alle");
            AddString(SchedulerControlStringId.Form_Recurrence, "Wiederholung");
            AddString(SchedulerControlStringId.Form_RecurrencePattern, "Muster");
            AddString(SchedulerControlStringId.Form_RecurrentAppointmentAction_DeleteOccurrence, "Nur diesen Eintrag löschen");
            AddString(SchedulerControlStringId.Form_RecurrentAppointmentAction_DeleteSeries, "Gesamte Serie löschen");
            AddString(SchedulerControlStringId.Form_RecurrentAppointmentAction_EditOccurrence, "Nur diesen Eintrag ändern");
            AddString(SchedulerControlStringId.Form_RecurrentAppointmentAction_EditSeries, "Gesamte Serie ändern");
            AddString(SchedulerControlStringId.Form_Reminder, "Erinnerung");
            AddString(SchedulerControlStringId.Form_Resource, "Ressource");
            AddString(SchedulerControlStringId.Form_ShowIn, "Zeige in");
            AddString(SchedulerControlStringId.Form_ShowTimeAs, "Zeige Zeit als");
            AddString(SchedulerControlStringId.Form_Start, "Start");
            AddString(SchedulerControlStringId.Form_StartTime, "Startzeit");
            AddString(SchedulerControlStringId.Form_Subject, "Thema");
            AddString(SchedulerControlStringId.Form_The, "Am");
            AddString(SchedulerControlStringId.Form_TimeZone, "Zeitzone");
            AddString(SchedulerControlStringId.Form_WeekOrWeeksOn, "Woche(n) am");
            
            
        }
    }
}
